# Array_Map.cpp File Reference

`#include "ace/Array_Map.h"`
`#include <algorithm>`

Include dependency graph for Array_Map.cpp:

This graph shows which files directly or indirectly include this file:

## Functions

template<typename Key, typename Value, class EqualTo>
bool | operator== (ACE_Array_Map< Key, Value, EqualTo > const &lhs, ACE_Array_Map< Key, Value, EqualTo > const &rhs)
| `ACE_Array_Map` equality operator.
template<typename Key, typename Value, class EqualTo>
bool | operator< (ACE_Array_Map< Key, Value, EqualTo > const &lhs, ACE_Array_Map< Key, Value, EqualTo > const &rhs)
| `ACE_Array_Map` lexicographical comparison operator.

## Function Documentation

template<typename Key, typename Value, class EqualTo>
bool operator< | ( | ACE_Array_Map< Key, Value, EqualTo > const & | lhs,
|  | ACE_Array_Map< Key, Value, EqualTo > const & | rhs
| ) |

| `ACE_Array_Map` lexicographical comparison operator.

template<typename Key, typename Value, class EqualTo>
bool operator== | ( | ACE_Array_Map< Key, Value, EqualTo > const & | lhs,
|  | ACE_Array_Map< Key, Value, EqualTo > const & | rhs
| ) |

| `ACE_Array_Map` equality operator.